Welcome to Water Restrictions, your go-to source for up-to-date information on water restrictions in your area.Water Restrictions LogoWater Restrictions

Get Areas

Gets a page of areas with references to their restriction scheme, current stage, and managing organisations, and pagination metadata.

GET
/v1/areas

Gets a page of areas with references to their restriction scheme, current stage, and managing organisations, and pagination metadata.

Query Parameters

pageNumber?|
Match^-?(?:0|[1-9]\d*)$
Formatint32
Default1
pageSize?|
Match^-?(?:0|[1-9]\d*)$
Formatint32
Default10

Response Body

application/json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/areas"
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "schemeId": null,      "restrictionZoneId": null,      "restrictions": [        {          "type": "residential",          "current": {            "assignmentId": "dbf5135c-beb7-4185-80db-2e980c77381b",            "effectiveFrom": "2019-08-24T14:15:22Z",            "stageId": "4ac83d66-64fa-48da-9505-57df43404af7",            "isAutoDetected": true          }        }      ],      "organisationIds": [        "7941b1c1-d003-4c3a-a8af-a97c97e47613"      ],      "timeZoneId": "string",      "bbox": {        "west": 0,        "south": 0,        "east": 0,        "north": 0      },      "trackingStatus": "tracked"    }  ],  "pageNumber": 0,  "pageSize": 0,  "totalCount": 0,  "totalPages": 0,  "hasPreviousPage": true,  "hasNextPage": true}